#!/bin/bash
# init_pgsql.sh SLIS
# Version 1.0

# fichier config postgres :
CONF=/var/lib/pgsql/data/pg_hba.conf  

# mot de passe postgres
POSTGRESPASS=$1

# mot de passe hadmin
ADMINPASS=$2

# mot de passe slis
SLISPASS=$3

# fichier cration base dhcp
DHCP=/tmp/dhcp.dump

# au dpart les droits de pg_hba.conf sont sur trust
# dans le doute : mettre les droits sur trust et localhost only

chmod u+w $CONF
echo "local all trust" > $CONF

export PGPASSWORD=$POSTGRESPASS

psql template1 -tqc "alter user postgres with password '$POSTGRESPASS' "

# remettre les droits sur password
echo "local all password"  > $CONF
echo "host all 127.0.0.1 255.255.255.255 password" >> $CONF
chmod u-w $CONF

# cration user hadmin
psql template1 -tqc "drop user hadmin" > /dev/null 2>/dev/null
psql template1 -tqc "create user hadmin with password '$ADMINPASS' nocreatedb nocreateuser"

# cration user slis
psql template1 -tqc "drop user slis" > /dev/null 2>/dev/null
psql template1 -tqc "create user slis with password '$SLISPASS' createdb nocreateuser"

# cration bases
psql template1 -tqc "drop database dhcp" > /dev/null 2>/dev/null
psql template1 -tqc "drop database hadmin" > /dev/null 2>/dev/null
psql template1 -tqc "drop database slis" > /dev/null 2>/dev/null
psql template1 -tqc "create database dhcp"
psql template1 -tqc "create database hadmin"
psql template1 -tqc "create database slis"

# cration tables dhcp
psql  dhcp < $DHCP
